<template>
    <v-card v-if="emails && emails.length">
        <v-card-title>{{ title }}</v-card-title>

        <div class="grid gap-4">
            <div
                v-for="email in emails"
                :key="email.email"
                class="bg-gray-light rounded-lg p-4 flex flex-row"
            >
                <div>
                    <p class="font-semibold" v-if="email.type">{{ translate('types.email.' + email.type) }}</p>
                    <p v-if="email.email">
                        <a :href="'mailto:' + email.email">{{ email.email }}</a>
                    </p>
                </div>
            </div>
        </div>
    </v-card>
</template>

<script setup lang="ts">
import { defineProps } from 'vue';
import { useI18n } from 'vue-i18n';

const { t: translate } = useI18n();

const props = defineProps({
    title: {
        type: String,
        default: null
    },
    emails: Object,
});
</script>
